<?php

namespace SGalinski\SgMail\Domain\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/***************************************************************
 *  Copyright notice
 *
 *  (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * The RegisteredTemplate Model
 */
class RegisteredTemplate extends AbstractEntity {

	/**
	 * extKey
	 *
	 * @var string
	 */
	protected $extKey;

	/**
	 * template
	 *
	 * @var string
	 */
	protected $template;

	/**
	 * mailKey
	 *
	 * @var string
	 */
	protected $mailKey;

	/**
	 * @return string
	 */
	public function getExtKey() {
		return $this->extKey;
	}

	/**
	 * @param string $extKey
	 */
	public function setExtKey($extKey) {
		$this->extKey = $extKey;
	}

	/**
	 * @return string
	 */
	public function getTemplate() {
		return $this->template;
	}

	/**
	 * @param string $template
	 */
	public function setTemplate($template) {
		$this->template = $template;
	}

	/**
	 * @return string
	 */
	public function getMailKey() {
		return $this->mailKey;
	}

	/**
	 * @param string $mailKey
	 */
	public function setMailKey($mailKey) {
		$this->mailKey = $mailKey;
	}

}
